API ReferenceapiaffiliatesGET /v1/admin/payouts

GET /v1/admin/payouts

Service: affiliates · operationId: (none)

List payouts awaiting review (pending, approved, or recovery_owed)

Required scopes

(no scope declared — review service config)

Responses

200 Payouts list

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "affiliate_id": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          },
          "gross_amount_cents": {
            "type": "string"
          },
          "reversal_amount_cents": {
            "type": "string"
          },
          "amount_cents": {
            "type": "string"
          },
          "recovery_owed_cents": {
            "type": "string"
          },
          "commission_ids": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "commission_count": {
            "type": "integer"
          },
          "period_start": {
            "type": "string"
          },
          "period_end": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "approved_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "approved_by": {
            "type": [
              "string",
              "null"
            ]
          },
          "paid_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "external_ref": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "affiliate_id",
          "currency",
          "gross_amount_cents",
          "reversal_amount_cents",
          "amount_cents",
          "recovery_owed_cents",
          "commission_ids",
          "commission_count",
          "period_start",
          "period_end",
          "status",
          "approved_at",
          "approved_by",
          "paid_at",
          "external_ref",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/admin/payouts \
  -H "Authorization: Bearer $ACCESS_TOKEN"